__gnu_cxx::subtractive_rng Class Reference
SGI
Inheritance diagram for __gnu_cxx::subtractive_rng:
[legend]

## Public Types

typedef _Arg | argument_type
typedef _Result | result_type

## Public Member Functions

| subtractive_rng (unsigned int __seed)
| subtractive_rng ()
void | _M_initialize (unsigned int __seed)
unsigned int | operator() (unsigned int __limit)

## Detailed Description

The `subtractive_rng` class is documented on SGI's site. Note that this code assumes that `int` is 32 bits.

Definition at line 352 of file ext/functional.

## Member Typedef Documentation

template<typename _Arg, typename _Result>

typedef _Arg std::unary_function< _Arg, _Result >::argument_type

inherited

`argument_type` is the type of the argument

Definition at line 108 of file stl_function.h.

template<typename _Arg, typename _Result>

typedef _Result std::unary_function< _Arg, _Result >::result_type

inherited

`result_type` is the return type

Definition at line 111 of file stl_function.h.

## Constructor & Destructor Documentation

__gnu_cxx::subtractive_rng::subtractive_rng | ( | unsigned int | __seed | ) |

inline

Ctor allowing you to initialize the seed.

Definition at line 394 of file ext/functional.

__gnu_cxx::subtractive_rng::subtractive_rng | ( |  | ) |

inline

Default ctor; initializes its state with some number you don't see.

Definition at line 398 of file ext/functional.

## Member Function Documentation

unsigned int __gnu_cxx::subtractive_rng::operator() | ( | unsigned int | __limit | ) |

inline

Returns a number less than the argument.

Definition at line 363 of file ext/functional.

The documentation for this class was generated from the following file:

- ext/functional